Bug 20289 - [qt] screenDepthPerComponent returns the wrong value
: [qt] screenDepthPerComponent returns the wrong value
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Platform
: 528+ (Nightly build)
: All All
: P5 Minor
Assigned To: QtWebKit Unassigned
: EasyFix, Qt
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-05 12:46 PDT by Marco Barisione
Modified: 2010-11-07 07:26 PST (History)
4 users (show)

See Also:


Attachments
Patch (2.07 KB, patch)
2010-11-07 05:34 PST, Robert Hogan
no flags Details | Formatted Diff | Diff
Patch (5.27 KB, patch)
2010-11-07 06:41 PST, Robert Hogan
no flags Details | Formatted Diff | Diff
Patch (5.21 KB, patch)
2010-11-07 07:10 PST, Robert Hogan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Barisione 2008-08-05 12:46:55 PDT
Reading the code in other ports and from its name it seems that screenDepthPerComponent should return the number of pixels for each colour (for instance 8 if the screen depth is 24), but in the qt port it seems to just return the screen depth (24 in the example).
Comment 1 Tor Arne Vestbø 2010-03-10 03:23:47 PST
http://www.w3.org/TR/css3-mediaqueries/#color
Comment 2 Robert Hogan 2010-11-07 05:34:00 PST
Created attachment 73194 [details]
Patch
Comment 3 Andreas Kling 2010-11-07 05:40:58 PST
Comment on attachment 73194 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=73194&action=review

> WebCore/ChangeLog:10
> +        No layout tests possible for this I think.

On the contrary! :-)
http://www.w3.org/TR/css3-mediaqueries/#color
Comment 4 Robert Hogan 2010-11-07 06:41:38 PST
Created attachment 73195 [details]
Patch
Comment 5 Andreas Kling 2010-11-07 07:04:56 PST
Comment on attachment 73195 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=73195&action=review

LGTM.

> WebCore/ChangeLog:14
> +        Need a short description and bug URL (OOPS!)

Oops, indeed. Remove this when landing.
Comment 6 Robert Hogan 2010-11-07 07:10:01 PST
Created attachment 73196 [details]
Patch
Comment 7 WebKit Commit Bot 2010-11-07 07:26:03 PST
Comment on attachment 73196 [details]
Patch

Clearing flags on attachment: 73196

Committed r71483: <http://trac.webkit.org/changeset/71483>
Comment 8 WebKit Commit Bot 2010-11-07 07:26:09 PST
All reviewed patches have been landed.  Closing bug.